<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="">
	<query id="JdgComBaseChem.queryRound" desc="查询圆整位数">
		<![CDATA[
SELECT T.CHEM_NAME, NVL(T.ROUNDING_DIGITS, 6) ROUNDING_DIGITS
  FROM COM_BASE_CHEM T
 WHERE T.VALIDFLAG = '1'
 ORDER BY T.CHEM_SEQ
		]]>
	</query>
	
	<query id="JdgComBaseChem.queryBaseChem" desc="查询基础元素">
		<![CDATA[
SELECT T.CHEM_NAME
  FROM COM_BASE_CHEM T
 WHERE T.VALIDFLAG = '1'
 ORDER BY T.CHEM_SEQ
		]]>
	</query>
	
	<query id="JdgComBaseChem.queryBaseChemOrderByLength" desc="查询基础元素">
		<![CDATA[
SELECT T.CHEM_NAME, T.CHEM_CODE
  FROM COM_BASE_CHEM T
 WHERE T.VALIDFLAG = '1'
 AND T.CHEM_TYPE = 'A'
 ORDER BY LENGTH(T.CHEM_NAME) DESC
		]]>
	</query>
	
	<query id="JdgComBaseChem.getComplexChemOrderByLength" desc="查询基础元素">
		<![CDATA[
SELECT T.CHEM_NAME, T.CHEM_TYPE, T.CHEM_FORMULA
  FROM COM_BASE_CHEM T
 WHERE T.VALIDFLAG = '1'
 ORDER BY LENGTH(T.CHEM_NAME) DESC
		]]>
	</query>
</queryMap>